package dto

type ThirdRegisterReq struct {
	Account string `json:"account"` // 帐号

	Password string `json:"password"` // 密码

	Name string `json:"name"` // 昵称

	Icon string `json:"icon"` // 头像
}

type SendResetPwdCodeReq struct {
	Account string `json:"account"` // 帐号
}

type ThirdResetPwdReq struct {
	Account string `json:"account"` // 帐号

	Password string `json:"password"` // 密码

	Code string `json:"code"` // 验证码
}

type ThirdLoginReq struct {
	Account string `json:"account"` // 帐号

	Password string `json:"password"` // 密码
}

type ThirdUserLoginToken struct {
	Uid         uint64 `json:"uid"`
	AccessToken string `json:"accessToken"`
}

type FindUidByToken struct {
	AccessToken string `json:"accessToken"`
}
